phing-tasks-ext-coverage

# Class: CoverageReportTask Source Location: /tasks/ext/coverage/CoverageReportTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --CoverageReportTask
Transforms information in a code coverage database to XML #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: CoverageReportTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods __construct addClassToPackage calculateStatistics createClasspath createReport filterCovered getPackageElement highlightSourceFile main setClasspath setGeshiLanguagesPath setGeshiPath setOutfile stripDiv transformCoverageInformation transformSourceFile
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 37] Transforms information in a code coverage database to XML #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: CoverageReportTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
since: | 2.1.0
[ Top ] ### Class Methods ### constructor __construct [line 80]
`CoverageReportTask __construct( )`
[ Top ] ### method addClassToPackage [line 118]
`void addClassToPackage( $classname, $element)`
#### Tags:
access: | protected
#### Parameters:
| $classname |
| $element |
[ Top ] ### method calculateStatistics [line 333]
`void calculateStatistics( )`
#### Tags:
access: | protected
[ Top ] ### method createClasspath [line 64]
`void createClasspath( )`
[ Top ] ### method createReport [line 96]
`void createReport( )`
Generate a report based on the XML created by this task [ Top ] ### method filterCovered [line 239]
`void filterCovered( $var)`
#### Tags:
access: | protected
#### Parameters:
| $var |
[ Top ] ### method getPackageElement [line 103]
`void getPackageElement( $packageName)`
#### Tags:
access: | protected
#### Parameters:
| $packageName |
[ Top ] ### method highlightSourceFile [line 148]
`void highlightSourceFile( $filename)`
#### Tags:
access: | protected
#### Parameters:
| $filename |
[ Top ] ### method main [line 388]
`void main( )`
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setClasspath [line 52]
`void setClasspath( $classpath)`
#### Parameters:
Path | $classpath |
[ Top ] ### method setGeshiLanguagesPath [line 75]
`void setGeshiLanguagesPath( $path)`
#### Parameters:
| $path |
[ Top ] ### method setGeshiPath [line 70]
`void setGeshiPath( $path)`
#### Parameters:
| $path |
[ Top ] ### method setOutfile [line 88]
`void setOutfile( $outfile)`
#### Parameters:
| $outfile |
[ Top ] ### method stripDiv [line 134]
`void stripDiv( $source)`
#### Tags:
access: | protected
#### Parameters:
| $source |
[ Top ] ### method transformCoverageInformation [line 244]
`void transformCoverageInformation( $filename, $coverageInformation)`
#### Tags:
access: | protected
#### Parameters:
| $filename |
| $coverageInformation |
[ Top ] ### method transformSourceFile [line 204]
`void transformSourceFile( $filename, $coverageInformation, [ $classStartLine = 1])`
#### Tags:
access: | protected
#### Parameters:
| $filename |
| $coverageInformation |
| $classStartLine |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:38 +0200 by phpDocumentor 1.4.3